#! /bin/bash
cyflexlogevent -t generic -m 1 -m "script" -m "$0" 

# This command starts the external data manager program into execution.
#
# Usage: extdatman.sh PROPERTY_FILE
#
# Where
#    PROPERTY_FILE is a property file for this program.
#       See /cell/extdatman.def for details.

# Validate the command line argument.
if [[ $# -ne 1 ]]; then
   echo There must be one command line argument - a properties file.
   exit 1
fi
if [[ ! -r $1 ]]; then
   echo The command line argument must be a readable file.
   exit 1
fi

. configure_java

# Set up class path for Java.
BASE=$GUI
export CLASSPATH=$BASE/ExternalDataManager.jar:$BASE/specfilegui.jar:$BASE/facade.jar

# Actually execute the program.
chrt -o 0 java -DPropertiesFile=$1 com.cybermetrix.cyflex.extdatman.ExternalDataManager &
