<?xml version="1.0" encoding="ISO-8859-1" ?>
<!--
   This file transforms an XML file containing a list of recent gp_test
   script files into an ActionGroup which may then be input and
   processed by CUI.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
      version="1.0">
   <xsl:output method="xml" indent="yes" />

   <!--
      Starting point for the transform.
   -->
   <xsl:template match="/">
      <ActionGroup baseDirectory="/specs/gp">
         <launchItem label="Create new"
            tooltip="Create a gp_test script from a clean sheet."
            repeatable="true"
            command="gp_test_editor" />
         <xsl:apply-templates />
      </ActionGroup>
   </xsl:template>

   <!--
      Transform an individual filename.
   -->
   <xsl:template match="//file">
      <xsl:element name="launchItem">
         <xsl:attribute name="tooltip">Edit this gp_test script file.</xsl:attribute>
         <xsl:attribute name="repeatable">false</xsl:attribute>
         <xsl:attribute name="hotkey">ctrl typed "g"</xsl:attribute>
         <xsl:attribute name="command">gp_test_editor <xsl:value-of select="text()" /></xsl:attribute>
         <xsl:apply-templates />
      </xsl:element>
   </xsl:template>
</xsl:stylesheet>
